<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__mcwdt__macros" kind="group">
    <compoundname>group_mcwdt_macros</compoundname>
    <title>Macros</title>
      <sectiondef kind="define">
      <memberdef id="group__group__mcwdt__macros_1ga2a9aedce3c17d619923c2167d0456f36" kind="define" prot="public" static="no">
        <name>CY_MCWDT_DRV_VERSION_MAJOR</name>
        <initializer>1</initializer>
        <briefdescription>
<para>Driver major version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="209" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="209" />
      </memberdef>
      <memberdef id="group__group__mcwdt__macros_1ga7b991a9a318c3847ce14419da5284b05" kind="define" prot="public" static="no">
        <name>CY_MCWDT_DRV_VERSION_MINOR</name>
        <initializer>30</initializer>
        <briefdescription>
<para>Driver minor version. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="212" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="212" />
      </memberdef>
      <memberdef id="group__group__mcwdt__macros_1ga99d7bcdb2aa383a7f947af0256894dfd" kind="define" prot="public" static="no">
        <name>CY_MCWDT_ID</name>
        <initializer><ref kindref="member" refid="group__group__syslib__macros__status__codes_1ga45c44ce91d1e20c64430f00fd8ad9b0e">CY_PDL_DRV_ID</ref>(0x35u)</initializer>
        <briefdescription>
<para>MCWDT PDL ID. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="243" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="243" />
      </memberdef>
      <memberdef id="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7" kind="define" prot="public" static="no">
        <name>CY_MCWDT_CTR0</name>
        <initializer>(1UL &lt;&lt; CY_MCWDT_CTR0_Pos)</initializer>
        <briefdescription>
<para>The sub-counter#0 mask. </para>        </briefdescription>
        <detaileddescription>
<para>This macro is used with functions that handle multiple counters, including <ref kindref="member" refid="group__group__mcwdt__functions_1ga90f8d4636fc67fc8abe3bfd87ab521ac">Cy_MCWDT_Enable()</ref>, <ref kindref="member" refid="group__group__mcwdt__functions_1ga9ecaccda05008638b249cacd1cf9ea9c">Cy_MCWDT_Disable()</ref>, <ref kindref="member" refid="group__group__mcwdt__functions_1gab67a5413817743fcd829028da227ad4b">Cy_MCWDT_ClearInterrupt()</ref> and <ref kindref="member" refid="group__group__mcwdt__functions_1gac33b66c4254ceb468ecc48098b00e8c1">Cy_MCWDT_ResetCounters()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="245" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="247" />
      </memberdef>
      <memberdef id="group__group__mcwdt__macros_1ga76e6bc848da419e9d59c3d9dafe55a48" kind="define" prot="public" static="no">
        <name>CY_MCWDT_CTR1</name>
        <initializer>(1UL &lt;&lt; CY_MCWDT_CTR1_Pos)</initializer>
        <briefdescription>
<para>The sub-counter#1 mask. </para>        </briefdescription>
        <detaileddescription>
<para>This macro is used with functions that handle multiple counters, including <ref kindref="member" refid="group__group__mcwdt__functions_1ga90f8d4636fc67fc8abe3bfd87ab521ac">Cy_MCWDT_Enable()</ref>, <ref kindref="member" refid="group__group__mcwdt__functions_1ga9ecaccda05008638b249cacd1cf9ea9c">Cy_MCWDT_Disable()</ref>, <ref kindref="member" refid="group__group__mcwdt__functions_1gab67a5413817743fcd829028da227ad4b">Cy_MCWDT_ClearInterrupt()</ref> and <ref kindref="member" refid="group__group__mcwdt__functions_1gac33b66c4254ceb468ecc48098b00e8c1">Cy_MCWDT_ResetCounters()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="250" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="250" />
      </memberdef>
      <memberdef id="group__group__mcwdt__macros_1gacc9a577d8085b81e8ba0ebd22dad789e" kind="define" prot="public" static="no">
        <name>CY_MCWDT_CTR2</name>
        <initializer>(1UL &lt;&lt; CY_MCWDT_CTR2_Pos)</initializer>
        <briefdescription>
<para>The sub-counter#2 mask. </para>        </briefdescription>
        <detaileddescription>
<para>This macro is used with functions that handle multiple counters, including <ref kindref="member" refid="group__group__mcwdt__functions_1ga90f8d4636fc67fc8abe3bfd87ab521ac">Cy_MCWDT_Enable()</ref>, <ref kindref="member" refid="group__group__mcwdt__functions_1ga9ecaccda05008638b249cacd1cf9ea9c">Cy_MCWDT_Disable()</ref>, <ref kindref="member" refid="group__group__mcwdt__functions_1gab67a5413817743fcd829028da227ad4b">Cy_MCWDT_ClearInterrupt()</ref> and <ref kindref="member" refid="group__group__mcwdt__functions_1gac33b66c4254ceb468ecc48098b00e8c1">Cy_MCWDT_ResetCounters()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="255" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="253" />
      </memberdef>
      <memberdef id="group__group__mcwdt__macros_1gab85b144b042fe28d1e2638686aced6ca" kind="define" prot="public" static="no">
        <name>CY_MCWDT_CTR_Msk</name>
        <initializer>(<ref kindref="member" refid="group__group__mcwdt__macros_1gadb87c7b323120f1297143824fd7cded7">CY_MCWDT_CTR0</ref> | <ref kindref="member" refid="group__group__mcwdt__macros_1ga76e6bc848da419e9d59c3d9dafe55a48">CY_MCWDT_CTR1</ref> | <ref kindref="member" refid="group__group__mcwdt__macros_1gacc9a577d8085b81e8ba0ebd22dad789e">CY_MCWDT_CTR2</ref>)</initializer>
        <briefdescription>
<para>The mask for all sub-counters. </para>        </briefdescription>
        <detaileddescription>
<para>This macro is used with functions that handle multiple counters, including <ref kindref="member" refid="group__group__mcwdt__functions_1ga90f8d4636fc67fc8abe3bfd87ab521ac">Cy_MCWDT_Enable()</ref>, <ref kindref="member" refid="group__group__mcwdt__functions_1ga9ecaccda05008638b249cacd1cf9ea9c">Cy_MCWDT_Disable()</ref>, <ref kindref="member" refid="group__group__mcwdt__functions_1gab67a5413817743fcd829028da227ad4b">Cy_MCWDT_ClearInterrupt()</ref> and <ref kindref="member" refid="group__group__mcwdt__functions_1gac33b66c4254ceb468ecc48098b00e8c1">Cy_MCWDT_ResetCounters()</ref>. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" bodystart="260" column="9" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_mcwdt.h" line="256" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>